import { InjectionToken, NgModule } from '@angular/core';
import { SocketIO } from '@adel12790/nativescript-socketio';

const SOCKETIO_URL = new InjectionToken('SOCKETIO_URL');
const SOCKETIO_OPTIONS = new InjectionToken('SOCKETIO_OPTIONS');
function socketIOFactory(url, options) {
    return new SocketIO(url, options);
}
class SocketIOModule {
    static forRoot(url, options = {}) {
        return {
            ngModule: SocketIOModule,
            providers: [
                {
                    provide: SocketIO,
                    useFactory: socketIOFactory,
                    deps: [SOCKETIO_URL, SOCKETIO_OPTIONS]
                },
                { provide: SOCKETIO_URL, useValue: url },
                { provide: SOCKETIO_OPTIONS, useValue: options },
            ]
        };
    }
}
SocketIOModule.decorators = [
    { type: NgModule }
];

/**
 * Generated bundle index. Do not edit.
 */

export { SOCKETIO_OPTIONS, SOCKETIO_URL, SocketIOModule, socketIOFactory };
//# sourceMappingURL=nativescript-nativescript-socketio-angular.js.map
